#!/bin/bash

CP="$@"
[ -z "$CP" ] && exit

COREPLUGS=""
for file in $CP; do
	COREPLUGS="$COREPLUGS ${file}"
done

echo -e "// Generated with configure.sh\n" > cgc_plugins.c
echo -e "// Generated with configure.sh" > cgc_plugins.h

echo -e "#include \"common.h\"\n#include \"cgc_plugins.h\"" >> cgc_plugins.c
echo -e "s_coreplug coreplugs[] = {" >> cgc_plugins.c

for file in $COREPLUGS; do
	echo -e "\t{\"$file\", &${file}Init, &${file}Unload}," >> cgc_plugins.c

	echo -e "\nint ${file}Init ( s_plug *self );" >> cgc_plugins.h
	echo -e "void ${file}Unload ( );" >> cgc_plugins.h
done
echo -e "\t{NULL, NULL, NULL}\n};" >> cgc_plugins.c
